/////////////////////////////////////////////////////////////////////////////////////
// FILE:    UR_Constants_IO.h
// TITLE:   A Room for IO configuration
// REV:     2009-01-07
// AUTHOR:  Bennet Gedan <bennet.gedan@akasol.de>
/////////////////////////////////////////////////////////////////////////////////////
//
// ASSUMPTIONS:
//
//    none
//
// DESCRIPTION:
//
//    configures IO Pin configuration, make sure the correct muxer settings are
//    implemented in UR_GPIOSetup.c
//
// ANNOTATION:
//    
//    
//////////////////////////////////////////////////////////////////////////////////////

#ifndef UR_CONSTANTS_IO_HDR
#define UR_CONSTANTS_IO_HDR

/////////////////////////////////
//EPWM-Registers
/////////////////////////////////
/******************************
 * !!! Atention
 * if changed make sure the
 * EPWM-Functions in UR_PWMs.c
 * are set up correctly
 * They ought to be indepandant from
 * these settings, but please double
 * check this
 ******************************/
#define EPWMREGS_PUMP EPwm4Regs
#define EPWMREGS_FAN EPwm5Regs

////////////////////////////////////////
// GPIO-Numbers
////////////////////////////////////////
/*********************************
 * !!! Attention
 * make sure the function in UR_DigitalIO
 * are setup correctly, if you change
 * these values. They should be independant
 * of these settings, but please double
 * check this!
 **********************************/

/*PWMs*/
/***********************************
 * Attention!
 * Changing pin-order won't make any
 * difference as the IO-Muxers are
 * strictly bound to the concurrent
 * GPIO-Pin. Thus GPIO 0 will be
 * EPWM1A, so if EPWM1A is the Skiip
 * module, you can't map the Skiip
 * module to different pins, unless
 * you'll also change the appropriate
 * PWM-Muxer-Settings...
 ***********************************/

#define GPIO_PUMP GPIO8    //EPWM4A      
#define GPIO_FAN GPIO6     //EPWM5A

#endif
