/////////////////////////////////////////////////////////////////////////////////////
// FILE:    UR_Macros.h
// TITLE:   A Room for user-specific function macros
// REV:     2009-01-06
// AUTHOR:  Bennet Gedan <bennet.gedan@akasol.de>
/////////////////////////////////////////////////////////////////////////////////////
//
// ASSUMPTIONS:
//
//    none
//
// DESCRIPTION:
//
//    User-specific macros go here. Use this file for all macro-definitions used
//    in this project. 
//    DO NOT use this file for constant-like definitions (i.e. #define PI 3.1412)
//
// ANNOTATION:
//    
//    also have a look at Constants_IO.h
//////////////////////////////////////////////////////////////////////////////////////

#ifndef MACROSHDR
#define MACROSHDR

////////////////////////////////
// Concatens two #defines together
// i.e. GLUE(GPXSET(A),GPIO_LED1) = 0;
/////////////////////////////////

#define GLUE(A,B) A##.##B


// Control-Registers
#define GPXPUD(x) GpioCtrlRegs.GP##x##PUD.bit
#define GPXMUXN(x,n) GpioCtrlRegs.GP##x##MUX##n##.bit

#endif
